> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md).

# 88. Mutation: Exportera ZonesMap som komprimerad shapefil

Skapa ett zip-arkiv med den valda "ZonesMap" som shapefil.

{% hint style="info" %}
Arkivet innehåller \*.shp-, \*.shx-, \*.prj- och \*.dbf-filer i EPSG:4326.
{% endhint %}

### 1. Förberedelser

* Attributet `vectorAnalysisMaps` innehåller en array med ZonesMaps-objekt (VectorAnalysisMaps) som ska exporteras. Varje sådant objekt innehåller ett par `fieldUuid` (koppling till det valda fältet) och `uuid` (koppling till den valda ZonesMap).
* Det booleska attributet `asMultiGeometry` avgör om zonerna exporteras som `Polygons` eller `MultiPolygons` (när värdet är `true` ).
* Det booleska attributet `onlyProductColumns` anger om endast kolumner med produkter (RX) ska inkluderas i shapefilen (när värdet är `true`). Annars inkluderas alla statistiska attribut och zon-ID:n som kolumner.
* Attributet `archiveName` innehåller namnet på det genererade zip-arkivet.
* Attributet `filePostfix` gör det möjligt att lägga till egna suffix i de exporterade filerna och arkivet.

{% code overflow="wrap" lineNumbers="true" %}

```graphql
mutation exportData {
  exportData(
    input: {
      filePostfix:"_GP" 
      vectorAnalysisMaps:[
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        },
        {
          uuid:"<placeholder_zones_map_uuid>"
          fieldUuid:"<placeholder_field_uuid>"
        }
      ]
      asMultiGeometry:true 
      onlyProductColumns:true 
      archiveName:"ArchivedZonesMaps"
    }
  ) {
    archiveUrl
    
    zippedVectorAnalysisMaps {
      uuid
      fieldUuid
      status
    }
    ignoredVectorAnalysisMaps  {
      uuid
      fieldUuid
      status
    } 
  }
}
```

{% endcode %}

### 2. Ladda ned det genererade arkivet

När GraphQL-frågan har körts kan arkivet laddas ned med `curl` eller med ett liknande verktyg.

{% code overflow="wrap" lineNumbers="true" %}

```bash
curl '<archiveUrl>' --compressed >> '<archiveUrl>'
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/swe/api-dokumentation/geopard-api-requests-overview/88.-mutation-export-zonesmap-as-zipped-shapefile.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
